summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2021-11-10 15:01:21 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2021-11-10 15:01:21 -0800
commitfe319d5fe11b9ce068f5095782c9b5c3a69caeb3 (patch)
treefb32f7c5bed66b6e06d9e29b18d42c1ad2dd36d8 /t
parentMerge branch 'js/simple-ipc-cygwin-socket-fix' (diff)
parentt/lib-gpg: avoid broken versions of ssh-keygen (diff)
downloadtgif-fe319d5fe11b9ce068f5095782c9b5c3a69caeb3.tar.xz
Merge branch 'jk/ssh-signing-fix'
Reject OpenSSH 8.7 whose "ssh-keygen -Y find-principals" is unusable from running the ssh signature tests. * jk/ssh-signing-fix: t/lib-gpg: avoid broken versions of ssh-keygen
Diffstat (limited to 't')
-rw-r--r--t/lib-gpg.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/lib-gpg.sh b/t/lib-gpg.sh
index 1d8e5b5b7e..a3f285f515 100644
--- a/t/lib-gpg.sh
+++ b/t/lib-gpg.sh
@@ -104,6 +104,12 @@ test_lazy_prereq GPGSSH '
test $? != 127 || exit 1
echo $ssh_version | grep -q "find-principals:missing signature file"
test $? = 0 || exit 1;
+
+ # some broken versions of ssh-keygen segfault on find-principals;
+ # avoid testing with them.
+ ssh-keygen -Y find-principals -f /dev/null -s /dev/null
+ test $? = 139 && exit 1
+
mkdir -p "${GNUPGHOME}" &&
chmod 0700 "${GNUPGHOME}" &&
(setfacl -k "${GNUPGHOME}" 2>/dev/null || true) &&